commit ec8cc524d05218d4cc22adc9c6dc965c640c52f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 12 18:53:12 2008 +0200

    Backport [f5f7c36c4351a71129e4d2f6e6a1d03823387713] and announce it

commit 232337c3a3aba420a779aeb61b1dfbff267b6e6f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon May 12 13:46:01 2008 +0200

    Fix #1581 - Really fix #986 - rc : do not read stdin when we can't

commit 643f11c411510d757f898ad790dc4253142aa62b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon May 12 12:44:02 2008 +0200

    Revert "Avoid huge CPU comsumption when rc and --daemon are use at the same time"
    
    This reverts commit c37341f13f0d0a7ef847a9caf1688d01882627ce.
    Wrong fix, do not trust Ubuntu users.

commit 86d8cf8cc09c4ec3189bd497bfc5ffbe523ff3f3
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon May 12 12:17:57 2008 +0200

    Do not ignore files in non-existing directories
    
    Fix [e6e22cae56446e1718246a7174f45e5dc621d0a1]

commit 18f598fb94ae188974dd06aa50d06cc145eeecfe
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat May 10 19:21:10 2008 +0200

    Remove misleading comment - correct NEWS

commit 12e1388713b6f595a8ff8aee8eb5b9793d3b3560
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat May 10 19:19:43 2008 +0200

    Revert "Disable video-on-top while in fullscreen"
    
    This reverts commit 55e7393cfee2476b26f110101da6827bdfa5a613.
    This need to be done in the GUIs

commit 96f03c9a2e3d24cd126dd6958d393ab54f38ba15
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat May 10 16:21:24 2008 +0200

    Rewordings..

commit 86460c8bf7af907034a26ec443c20d9368983af6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat May 10 16:18:47 2008 +0200

    We also want to use libxml2 2.6.32 here

commit 69bd213a16f61a24632a2b9ff55ff884ab0842e0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat May 10 17:12:19 2008 +0300

    Bump the version

commit 74d7d1ff3e6a2dfe8bdb3f0ba2fd31d0e87a1d45
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat May 10 14:35:19 2008 +0200

    Add bugfixes in the NEWS

commit 55e7393cfee2476b26f110101da6827bdfa5a613
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat May 10 14:16:53 2008 +0200

    Disable video-on-top while in fullscreen
    
    Really close #1227

commit feb459c350f87a6dc63e50193a6be6a877b5f24d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat May 10 15:02:34 2008 +0300

    Compile fix

commit 45e0b4eb361fbe4e94914bad9d6acc376b0ad04f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat May 10 14:38:11 2008 +0300

    Document previous fix

commit c7cef4fdd8dd72ce0a45be3cda8ba98df5e83181
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat May 10 14:28:23 2008 +0300

    Do not load plugins from relative paths on non-relocatable platforms.
    
    This fixes #1578 for -bugfix. This breaks plugins from the source tree
    (so we obviously need some more involved fix for master).

commit 5f0ae0d891ff130fd3498a6ba8f0958302aaff6f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Fri May 9 18:55:38 2008 +0300

    Woops -f  is already out

commit 71d5d6ed926a90671ec2576be6a7d51139dfc578
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Fri May 9 18:20:29 2008 +0300

    Document previous commit

commit b426b192c7712eaa08c5f55d08ef648226d6d421
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu May 8 23:38:44 2008 +0300

    VLC_VariableSet: assume unsafe variable settings. Fixes #1371.

commit b9da1de8597bd18de0f23e59f323bbe609e2f263
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 14:24:10 2008 +0200

    Release children items array

commit 7f407be64fbe0907e1cc36b5f651ee798b514b32
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 13:39:32 2008 +0200

    Fix a memleak in mosaic

commit 84630ece8e750c41a375d2bf9489acefa1bcb788
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 13:10:46 2008 +0200

    Check malloc return value

commit daf7b6fe7e23fb207bd346cd717a851461c8c5c1
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 12:02:37 2008 +0200

    playlist: free the items arrays at exit, clean the playing item if it was just stopped

commit 9bac06ebaca34309088202070b23124c83117ba3
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 12:01:35 2008 +0200

    Use the correct cleaning function instead of using an incomplete duplication

commit f2e9aa6fdb70badeb15424d60926a3274dc97bd2
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 11:22:47 2008 +0200

    mosaic : Free string variables after using them

commit 7839b89dbe7485883987a456b67c7480ac12c3c7
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 11:16:03 2008 +0200

    Do not leak the telnet password

commit 72aff6c9b9d2fd0e9722c54c11ac8bb53d01733c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon May 5 11:40:04 2008 +0200

    Do not leak 1 byte per variable created

commit 9e0c404a0a0357a5dc08801a1376f30b37d5eefe
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon May 5 14:30:54 2008 +0200

    Fix memory leak in dummy input
    (cherry picked from commit 62a71b894cc3f4e61475cf082b67f2fc125db991)

commit c61f756d0bf2788a50769df647291828f4e89e4d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 6 09:13:06 2008 +0200

    fix building with recent FFmpeg (typo)

commit 704d7bec456f1481cdbdca6a6ad94b777f651e20
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Apr 25 17:37:26 2008 +0100

    Add CVE id

commit 22d8a0475c9e32e510a47c228b39ecb658b14401
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Apr 21 10:47:16 2008 +0200

    Detect new FFmpeg headers location

commit 70361b4fa054b6809c3db1399928d69faaedd228
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Apr 19 17:52:19 2008 +0200

    Sync CVEs with master

commit 5e015eeedede726d17ab542c3f3a20296c5d411b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Apr 16 23:42:15 2008 +0100

    Correctly parse the media type (Fix #1552)

commit c1c81073e661f7d80197711ab11753e1e170b44c
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Thu Apr 17 22:47:13 2008 +0400

    Fix for [oCERT-2008-004] multiple speex implementations insufficient boundary checks. Patch by Eren Türkay
    (cherry picked from commit 8060b3457e20e6223b70927693f8da8f547b8fef)

commit f6511af848a6d837f8f8c0bf60b511e9946a7bc2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Apr 14 14:34:56 2008 +0200

    Put i_filter/i_vfilter to 0 after releasing all filters.

commit 0b4fc579d82af9e74722475f63f20a6b7f348495
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Apr 13 23:35:25 2008 +0200

    French l10n : do not make 2 shortcuts collide - thanks to Lilou

commit 1fbde99ac89673cbfb864d68fe390e96ef40335f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Apr 8 16:00:22 2008 +0200

    When specifying --sout-transcode-samplerate and --sout-transcode-channel, set the OUTPUT format instead of the INPUT
    
    Fix resampling when using mp4a (faac is the only option atm)

commit 1fcb9d864e54a56f91b37b19e6cc4953c6f59351
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 4 08:37:42 2008 +0200

    Revert "Attribute copyright of vlc_current_charset() to Bruno Haible, per his request"
    
    This reverts commit 379faf5d36c49ab8c2effe454a29126d805fa37f.
    
    Accidentally committed a moved file

commit cd8fad15e894cb373f9f15ed7401b9a7d8e1b52f
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 4 08:32:52 2008 +0200

    Attribute copyright of vlc_current_charset() to Bruno Haible, per his request
    
    Backported from 7b76e3471caf0a6b9ab3f47e74e58769f12916e6

commit 379faf5d36c49ab8c2effe454a29126d805fa37f
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 4 08:31:45 2008 +0200

    Attribute copyright of vlc_current_charset() to Bruno Haible, per his request
    (cherry picked from commit 7b76e3471caf0a6b9ab3f47e74e58769f12916e6)
    
    Conflicts:
    
    	src/text/charset.c

commit 12315c067bcbb9a55fcc5a27b636c1346b481f75
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 31 22:53:39 2008 +0200

    minor file encoding fixes

commit f798d7e998a169c2d8167b5cac994d3bd21dab2f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 31 22:52:40 2008 +0200

    Fixed faad compilation and restored consistency

commit c37341f13f0d0a7ef847a9caf1688d01882627ce
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Mar 31 20:19:59 2008 +0100

    Avoid huge CPU comsumption when rc and --daemon are use at the same time
    
    Patch by Bertrand Marquis aka bma on Launchpad (LP#104698)
    Refs #986

commit df6829e670fcb85ed64bcb066c2d2752b45f3adf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 31 19:40:48 2008 +0300

    Don't attempt to create ChangeLogs if not in a git-tree.
    
    There is no need to copy the files in that case thanks to VPATH.
    That assumes you are using a source tarball then - if not, you are
    screwed anywhow.
    (cherry picked from commit 16402c26dec1c83fc096f5c083c70c785139a720)

commit fe2b7bd8af008df9c0d2e744025887067a92b2b8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 31 18:53:43 2008 +0300

    Revert "Copy the changelogs if they exist instead of generating them with git"
    
    This reverts commit 70f620e7f94eb02fc6f5eda47599ae5354c12483.
    (cherry picked from commit 5badb86c83991e06655f2b773d526373a71bca53)

commit 6a92f8b3c03d824af3af9858b2b0448ca4bd4eb6
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 21:05:12 2008 +0200

    Fix compilation

commit d4db3a21bbdc6dfd64d0c6cd27dbdedb844f653f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 20:59:52 2008 +0200

    Remove pthread_t casting, fix C++ building on FreeBSD 7.0

commit 5492e7c90d89a2a8775fd51c38a6db7ba717b4f0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 31 17:52:32 2008 +0200

    remove unused variable

commit 20477612494adc32efdb18aad47858dd53d36523
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 31 17:51:21 2008 +0200

    Checkout svn revision 736 (as in 0.8.6e) from x264 instead of current head. Sorry for the breakage.

commit 70f620e7f94eb02fc6f5eda47599ae5354c12483
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 17:45:49 2008 +0200

    Copy the changelogs if they exist instead of generating them with git
    
    Fix make distcheck

commit 722517aa73b06487f43bee6cf6865fb85fbc2786
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 16:57:13 2008 +0200

    Fix git calling out of the source tree
    (cherry picked from commit 4f8151593d3afa773708963779fe252635e8ed25)

commit 0ace505bd4fb50ba3b0cff6ff09020e2dc9673ba
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 31 17:41:42 2008 +0300

    Clean changelogs, but not too often
    (cherry picked from commit c432ea068eb385e5e48605049fbe8b23f40445da)

commit 70eec12ec932c82ec61ecbdeee0f9d7e2008bea8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 31 17:39:14 2008 +0300

    Automate ChangeLog-2008 too
    
    (needs to check make distclean now)
    (cherry picked from commit ce52ce2eaf92223c22e9d16a7c3c262d9d22d663)

commit 3d8f5b431a0764724b0c937ec595d975374490ec
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 31 17:32:49 2008 +0300

    Generate old ChangeLogs automatically
    
    (cherrypicked from a24214d3df65f953ce10356c5ef7b99e16d2d903)

commit f2020de9b29e09e3acf4a7ba2f26be927bb34e9f
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Mar 31 15:52:34 2008 +0200

    doc: Suggest to use git shortlog -s to show the author of changeset of this particular release.
    (cherry picked from commit 57bfc6e6796f25b922335ef32f4183b2bafbf9c2)

commit 1b68825c3043a69884d07d2d36b1f7dc510ac10e
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Mar 31 15:41:17 2008 +0200

    doc: update the release howto for git. (cherry-picked from 774de7057620e8cb930377e584ebbc6223d515a8 and merged).

commit 878f372fa337b7d44d244cc2295fa307b07fc6d2
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Mar 14 10:07:40 2008 +0100

    Fix AAC muxing into TS
    
    Add ADTS headers on top of the raw AAC frames
    Use the ADTS stream type (0x0f) since LOAS isn't implemented
        This was wrong since we were streaming raw, not LOAS/LATM
    (cherry picked from commit 805a9ad61bb628aee2ca936d048a86f16503bc56)

commit fad23089552a4332087204d1006fa4dbe6c3522b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 15:25:09 2008 +0200

    Verbosely report EOF
    (cherry picked from commit d902372231370939c6d52137c9d4f61a928d84a4)

commit 96ac23c386cd845fdb5c984c814ad363854334f8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Mar 29 06:31:02 2008 +0100

    Fix infinite loop
    (cherry picked from commit e91f2120737a55ea877a5090c03628d370b52090)

commit aa179ba8b65b074e4f18c3f1a2571413ee49f9c6
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 15:20:58 2008 +0200

    timeout is not an integer in bugfix

commit 3f8526bdf130d4f2ed5a9d5059838309896c59b8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 15:03:39 2008 +0200

    more niouze

commit 2d82bc36c47f25177043df65725fe424d89c6931
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 10:07:14 2008 +0200

    h264 packetizer : do not trust the input data in p_extra
    (cherry picked from commit be3c7a5f8ca2b7189f3176dbcdf32c5c06ff9af1)

commit 2c78474581b45170094aa7eef23386888494b14e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 09:53:56 2008 +0200

    h264: fix maximum size calculation
    (cherry picked from commit cf34ca7b9307806bedb90f37e40e03de8a84e35b)

commit f928f7dbfc835398f88230b6ef4dc2ebb2cd153f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 31 09:37:58 2008 +0200

    Really fix H264 packetizing: abort PacketizeAVC1() if computed size is too huge
    (cherry picked from commit 96fca586a4d2b5e03545733acde884326616bca8)

commit ba61d7b966292f44382b9fe3449c7d2ce2d46566
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Mar 28 16:51:16 2008 +0100

    H264 packetizer : NEVER TRUST INPUT !!
    
    Do not allocate ridiculous amount of datas.
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>
    (cherry picked from commit ab4e8a39d0b2d9c2998d7ab248b83463fd67f2a1)

commit 3a71634a6e973d885ce779e8029efb66e672cd2f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Mar 31 14:12:29 2008 +0200

    Backport of 21f7e7ea477453871b494758c2dec31e0c23287c MMS: close access on network timeout

commit a22458a0e114cac0f47a07345d4b4a92a35a4be9
Merge: 65d362f... b109828...
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Mar 31 13:48:15 2008 +0200

    Merge branch '0.8.6-bugfix' of git@git.videolan.org:vlc into 0.8.6-bugfix

commit 65d362fec6713989433df3e5701d645ae41f262e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Mar 31 13:41:02 2008 +0200

    Update contrib to a newer faad2 version, which is used in 0.9.0 (fixes various problems with older libfaad library).

commit 734d18713d5140ec928e8738046419a85c0692ba
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Mar 31 13:35:21 2008 +0200

    Backport recent AAC (ADTS) fixes from 0.9.0

commit 000d98c2339cd4ad6c6b3a5498365acda6c4bb8a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Mar 31 13:31:37 2008 +0200

    Backport changes from master git to modules/codec/faad.c

commit b109828292559f124999893d0059848a8f01fbf8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Mar 30 09:34:00 2008 +0200

    Mention the CVE (presumed fixed for 0.8.6e)

commit 7adbc4ef71a1157f9b00dc369502e015cbbbc1dd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 18 08:59:43 2008 +0000

    MKV: use __MIN instead of min(

commit 32afd6b95e5db3b87ed9e276421d5f6999f8007c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Mar 28 17:28:12 2008 +0100

    updates..

commit bb4e8b2d3c7283da4a47ae0dc3e5e48f1d11b5a6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Mar 28 17:25:50 2008 +0100

    Fix ugly crashes related to the existing 'blackout screen' code

commit 96e55590e99de8fe30d5bfb42703ead6fc71acc1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Fri Mar 28 17:13:26 2008 +0200

    Fix format

commit cdc0d578f791f659edd84a94b128f67e5cacb5e2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Fri Mar 28 17:12:10 2008 +0200

    Fix type punnig breakage
    
    (manually backported from 39237808)

commit 157d370a1dd722d7773ff5aac43d476aa74d3224
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Jan 5 13:29:01 2008 +0000

    Re-implement GCD iteratively. Fix unused function warning.
    
    (cherry picked from commit d6271bf00c0c4e1636959b303a497d86816f70f2)

commit 9861846a09ccc064002bff627045b214ac9b082d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Mar 26 20:34:31 2008 +0200

    MP4: do not nul time scale
    
    Some MP4-knowledgeable dev (fenrir?) really should check that this is
    not too restrictive a check.

commit f1d075cd5c9c854c0828220d302f12989aaa87dd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Mar 26 20:20:13 2008 +0200

    Fix memleak

commit a99d131fa49eee26e9338358587dded58a6bcc07
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Mar 26 20:15:27 2008 +0200

    Bunch of MP4 allocation failure checks

commit ec14f453aea3373991f8313a3d557525187feebb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Mar 16 23:22:59 2008 +0200

    Handle all memory errors in MP4 esds

commit 35afca501f04eb1dc84647392e52ea1757a237cd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Mar 16 23:17:27 2008 +0200

    Handle memory errors in MP4 ctts - refs #1508

commit 4765bf1a8fc25819904c732df699703d596ba1fb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Mar 16 23:16:58 2008 +0200

    Cleanup MP4 ftyp

commit 1608212ee030fbe6312ce16834e4381d819508a4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Mar 16 23:15:40 2008 +0200

    Handle memory errors in MP4 stts - fixes #1502

commit ae329677e0580fe98c501846a9cb9809b8eebe11
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Mar 28 16:02:42 2008 +0100

    Backport my 'black screens' fix

commit 67f45839dc74c313dab02cc2966a49fe5afe4a54
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Mar 28 15:16:52 2008 +0100

    Don't use heanet here either, as their server still fails

commit 5100f0cd934850fa444a0873ae73bd676de62c7e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Mar 28 14:55:12 2008 +0100

    Updated x264 to use Git

commit 56354a01a07dfb784b4dae1bf7b6e95e1f7c3833
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Mar 28 13:57:10 2008 +0100

    Fix m3u demux compilation

commit 49a6a08ce9a7518ff1753ba1c68846401e7e74b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Mar 28 13:55:14 2008 +0100

    Fix mp4 demux : define FREENULL

commit cf489d7bff3c1b36b2d5501ecf21129c78104d98
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 24 21:19:05 2008 +0100

    cinepak: do not access arrays beyond allocated size
    
    reported by Drew Yao
    (cherry picked from commit 897a57e0e95f393e81f3ae6def526bf002f766df)

commit 5d2665013e9bbb0d830e2bcfa602e649105fcf8a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Mar 23 22:48:55 2008 +0000

    Update news for cinepak overflow

commit 9cc8c304bc575fe984eaa711f6ac4ad58ca4a351
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Mar 10 23:29:29 2008 +0000

    Avoid integer overflow. Patch by Drew Yao.

commit e6e22cae56446e1718246a7174f45e5dc621d0a1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Mar 2 13:51:38 2008 +0200

    Ignore files create by configure
    
    This only affects people still not building from subdir.

commit 9b04f1701f35cfefec89aaf05b19df6784f037d4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Mar 1 21:59:05 2008 +0200

    Ignore PO files

commit 6b2ba6171d166197d0131d012243e8e94ae2353c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Mar 19 19:37:22 2008 +0200

    Need to ignore intl here

commit 453cccdaaa461a973bf99d496a1a001ca47394cd
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Mar 1 21:52:51 2008 +0200

    Initial .gitignore

commit 29a99a61010ec44c61ca6c1614c116e4436e8b12
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Mar 19 19:36:32 2008 +0200

    SAP: don't try to parse media subtype for now, should fix #1467

commit d07aa56b33a8b89b52a3b591451c16417ba1f89a
Author: Pavlov Konstantin <thresh@altlinux.ru>
Date:   Wed Mar 19 18:38:54 2008 +0300

    Update NEWS.

commit 8c838a6fe5f3bdb4af4f5f73d7ac0206ea92e029
Author: Pavlov Konstantin <thresh@altlinux.ru>
Date:   Wed Mar 19 18:31:07 2008 +0300

    Fix Array Indexing Vulnerability in sdpplin_parse(). (CVE-2008-0073). (closes #1531).
    Thanks to Alin Rad Pop, Secunia Research.
    Ported from libxine.

commit deae3b86eb5bd433ebbb0bc548c2b5533643ec2e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Mar 18 19:24:53 2008 +0100

    Fix off-by-one buffer overflow introduced in the last fix

commit 9a21732f7a50baec8c6f248e22c1b0131ba5d022
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Mar 18 11:51:49 2008 +0100

    Warn the user with an interaction when EXTVLCOPT is being disabled
    
    Also gives an HOWTO enable it back, warning him to disable it afterwards

commit 1add192b374e20df314a10c37c9d4fb127254ccd
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Mar 18 11:25:28 2008 +0100

    Prepare 0.8.6f release
    
    Bump the version number, update the NEWS

commit 83bf42a637f555080519f6b002b02dc54d3edc90
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Mar 18 11:19:30 2008 +0100

    Update mozilla OSX plugin to support a full range of mimetypes

commit 94baded6eff88e39c98b6e3572826f16f21ceec3
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Mar 18 01:13:59 2008 +0100

    Fix yet another buffer overflow in ParseSSA()
    
    Remember *scanf() is lame

commit f0b998efdb21d3134219899f0b99838f26360e37
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 3 19:27:39 2008 +0200

    Use calloc() instead of malloc() - fixes integer overflow...
    ...assuming you have non-buggy calloc() implementation.
    
    Pointed-out-by: Drew Yao
    Signed-off-by: Rémi Denis-Courmont <rem@videolan.org>

commit 13836da79d83e7257c82633d5e3f719d31ec9647
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Mar 3 18:49:08 2008 +0200

    Use 443 rather than 80 as the implicit Host: port when using TLS
    
    Signed-off-by: Rémi Denis-Courmont <rem@videolan.org>

commit 5f3d2122e2eb2e0b65e2409a1985b565332e2f5d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Mar 1 22:22:48 2008 +0200

    Fix integer overflow in MP4 RDRF boxes
    
    Pointed-out-by: Drew Yao
    Signed-off-by: Rémi Denis-Courmont <rem@videolan.org>

commit 8b46168dcae9b2b76101a3284f5e51ed3ac06b99
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Mar 1 18:54:56 2008 +0000

    Fix buffer overflow.

commit c51d4c688e8a71a8019ed1389613b66a5d7afd75
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Mar 1 18:31:32 2008 +0000

    Fix calloc usage

commit 1a5728ffefca338503932859b83319ff651ef89a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Feb 27 07:33:29 2008 +0000

    Update changelog.

commit 525823a2aab42eb55a2c592ad9e3ff7385011c0d
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Wed Feb 27 00:14:14 2008 +0000

    Add one more CVE fixed (this time not really ours, but xinelib's).

commit 2e9af8223f3fdc002f776f022a75aa2cbe69b6a8
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Wed Feb 27 00:07:15 2008 +0000

    Backport [24245] and [24246]

commit 53ac769e62588a54da18b2a80563c53bc4a16fbb
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Tue Feb 26 23:59:58 2008 +0000

    Backport [24247].

commit 491fd0311caefaf6520401934a4e83b621e0f2e7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Feb 25 22:19:56 2008 +0000

    Last update to the changelog and refresh the po

commit 424957b4ce64425fe5118ec2c5231aabb04704ef
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Feb 24 19:58:05 2008 +0000

    NEWS: remove multi-screen improvement for Mac OS X since it isn't included yet

commit 926f22c30d3ebc1b3f098b0cfcd55d114a982d10
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Feb 24 19:20:27 2008 +0000

    some cosmetics/consistency in NEWS for readability

commit 1e52d240ff6dbc2b0737f39eef0f40570516d495
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Fri Feb 22 17:31:20 2008 +0000

    Fix alsa audio output on intel ICH8 with alsa 1.0.14 (maybe even 1.0.14+).
    This fixes those annoying messages:
    [00000307] main audio output debug: audio output is starving (38397), playing silence
    [00000307] alsa audio output debug: recovered from buffer underrun
    and sound becomes just fine.
    Tested on 32bit and x86_64 systems.

commit bd7e2cb50be5407d072b60d3382a663d4f6ae6b9
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Fri Feb 22 11:02:10 2008 +0000

    Backport [25183], fixes build with gcc4.3.

commit b83773c84e7867af793efc830650732294e85270
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Feb 21 22:52:50 2008 +0000

    minor fixes

commit 0707e4628b1237319a3cbbdf76465afb68cb45ae
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 14:06:01 2008 +0000

    * NEWS: using threads 0 is not supported used on Windows (using older x264)

commit fc3c9bfb930072a45ade1e50da3b0464b8d8425f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 21 10:52:12 2008 +0000

    Changelogs.

commit ceffda169262f348da5814eda61cfac024a8b5be
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Feb 21 10:28:05 2008 +0000

    don't let system tools load freshly compiled out-of-date (wrt the system) libraries

commit c441cfae35b97b8714fb8b0779f746ddf0e3e729
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 10:19:49 2008 +0000

    * modules/audio_filter/channel_mixer/simple.c: revert mistaken commit of simple.c (aac channel order fix keeps haunting me)

commit b3befdf40936ff94cbfe4e24a682adf1768eaa50
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 10:14:45 2008 +0000

    NEWS: remove FLAC issues, this was fixed in 0.8.6d already

commit abaf896936870683d5c3fbab15c20d3b8cc67b94
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 21 10:07:12 2008 +0000

    Add changelog for 2007.

commit d7b5f2e2a30528ecc24f4113301c0c3dd159fef6
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Feb 21 10:05:28 2008 +0000

    -e option isn't available on all echo

commit f5e4a37cb6ee19eb3f6bc8eb4b701568012c25ad
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 09:16:00 2008 +0000

    * modules/demux/mkv.cpp: backport [19988] apply open probes when checking .mkv in same folder; fix memleak and fix crash when there are multiple .mkv and one of them is corrupt or incomplete

commit d375796c1d91ee81c79746de834c14062eaec45e
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 08:58:15 2008 +0000

    * modules/demux/ogg.c: backport [25189] compare right amount of data (more strict) in ogg demux

commit 337af60f77757dc415eae9f0001f7c38b0da40f4
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 21 08:51:03 2008 +0000

    * modules/codec/faad.c: revert [25155] channel order fix since it needs more than also backporting [23226] simple.c so revert for now until we have something that applies to bugfix

commit d01f8f4d93ebe93489e6bfa88ed9b9155f6c561b
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Feb 20 17:56:52 2008 +0000

    * mozilla/control/npolibvlc.cpp: backport [25203] fixed name argument in add(url, name, options) for mozilla

commit 59da4e38c9b965b1f101d88a5bd59ab62bfa2767
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 15 22:59:18 2008 +0000

    * extras/contrib/src/Makefile: update x264 to latest revision (736) and backport darwin patch [24127] to match revision (trunk uses latest too); several memleaks fixed, minor bugfixes, few Altivec improvements, amd64 and FreeBSD support fixes

commit 2a0ce26f1560ae9031a0e9d272db56d5baba9d9c
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 15 17:51:33 2008 +0000

    uhmm. this is the typo in THANKS.. previous commit was cosmetics unneeded dots in NEWS..

commit f107fe672ec5623fa508eba086d488df4b7afe8a
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 15 17:49:54 2008 +0000

    typo in THANKS

commit 50c8276e024c77c61d288aa23e04e24d75bcd990
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Feb 15 17:16:03 2008 +0000

    Backport [24941] and [25157] memory error handling

commit f5cd18f835d4af010c400f5fb1abade80e3cd3fa
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 15 16:48:31 2008 +0000

    NEWS: remove FIXME on plugins, change SA number for MP4 issue; prepare for release based on what we have to keep things upto speed..

commit e2888d20341fb594c7431e92995c3a83f425092b
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 15 16:23:22 2008 +0000

    * modules/codec/faad.c: backport [25080] channel order fix for multichannel AAC

commit 2c26665649ffaa8ef8479fd684bb1d8a87fdff68
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 14 23:21:20 2008 +0000

    * modules/codec/x264.c: backport [25152] fix for x264 threads=0 (auto)

commit 5d48635447c99baf62b11538b5a82b7cc68bb835
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 14 19:19:14 2008 +0000

    Give the correct link to the win32 contribs

commit 07b3d121995e5a602ac246dac951070844a966b3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 14 19:04:43 2008 +0000

    More NEWS.

commit e537e1b13937ceaf64d559731eec1714c7ea7214
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 14 18:53:58 2008 +0000

    NEWS: Some have  been fixed, IIRC.

commit 26083dc30ca923e00dab5b8df6391efa8e03e0ac
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 14 18:51:35 2008 +0000

    Branch: 0.8.6e will be the number.

commit 9603b15ea5c0b68df82699fa9fdee28583814173
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Feb 14 17:35:42 2008 +0000

    * modules/codec/x264.c: backport [25144] cosmetics in reporting version info for x264

commit 6962cf282c5f5db033dbe60a4a82ad5c893dc4af
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Feb 12 11:42:54 2008 +0000

    Backport of [25110] and hack to workaround a bug withe descrpeURL() in older live555 libraries.

commit 32e9f4c3fd524feeeabffdece5c5d2a0b99cc8dc
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Feb 11 23:10:04 2008 +0000

    * modules/codec/x264.c: backport [25104] add x264 version debug info

commit dd126182c8cf0b0880e79314cef7a3cfe5b64226
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Feb 10 22:36:49 2008 +0000

    Backport of [25090]: Cleanup in the error path

commit 9a615da1464619727bf35de784a2b1a2801fb15d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Feb 10 22:12:30 2008 +0000

    Fix memleak ffmpeg/video_filter.c

commit c23421c577c8d089a4b40667517ffa69206a0d3d
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Feb 10 15:12:17 2008 +0000

    * modules/demux/live555.cpp: uint -> uint32_t compile fix

commit 6a39fbbf7f041c5fa41e8a00d80f45a206864a1d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Feb 10 12:14:17 2008 +0000

    Backport [22107] and [25067] MIT-SHM fixes.

commit fdbd6574e5d044298349ab2dca90efea34271ca3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Feb 9 14:38:13 2008 +0000

    Fix handling of authorization

commit 394754a527dbb858385fef9d2717db3cbf5b0240
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 8 23:43:15 2008 +0000

    configure.ac: backport [24902] use build_os instead of SYS for detecting cygwin for hostname check because when we deal with mingw32 compiler (mno-cygwin mode) then SYS value isn't cygwin but (forced to) mingw32

commit 0cc571d07eb2fbbd727e193ac1cc45cb298c99e2
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Feb 8 23:32:20 2008 +0000

    * modules/codec/x264.c: backport [25007] fix direct 8x8 inference warnings

commit 24a458f19bc109b469aa0bf8527c4a47d444883f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Feb 8 20:44:09 2008 +0000

    Backport of [24998]

commit d03baff78066e09641d31cdb50fd1b753a5304e5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Feb 8 20:35:34 2008 +0000

    Backport [23166] [23170] [23182] [23183] [23483] [23526] [23527] [23596]: Several live555 demuxer fixes.

commit cc9a1ebe6beb62622fa6c636523db8b0f44356ee
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Feb 7 18:53:40 2008 +0000

    Backport [24944] (CORE-2008-0130)

commit 0dd0c251349109084967f3fec55b205c17b91e2a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 04:14:56 2008 +0000

    Contribs for branch: XML CVE-2007-6284 backport with adaptations...

commit d1562ca6612631064747a424bd029292c8b86f66
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Feb 1 11:01:00 2008 +0000

    SDL_image: backported a fixed version of thresh's patch [24741]

commit b12859097e6ac02def17a842a955aa76e98986b7
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Tue Jan 29 18:58:49 2008 +0000

    * configure.ac: backport [24621] fix hostname reporting on Cygwin

commit 473d95cf3e2b843afe924245ec336a47ddf46978
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Jan 25 12:32:17 2008 +0000

    polish translation update

commit 0b7f737f45e10165cd524658e611c480a8fef784
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Jan 23 13:23:12 2008 +0000

    NEWS: add fix for SPS/PPS in h264 packetizer

commit eef3f39dbf76e46ddaa67cd9022cd6c41e9786e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 21 20:38:31 2008 +0000

    Backport [24465], for romanian installer...

commit 5482c8f86e054c4ee34c61bfa678d6ec45b2a587
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Jan 20 23:14:16 2008 +0000

    * modules/demux/ogg.c: backport [24258] fix for demuxing Ogg with skeleton track. As noted in #1412 all content in Ogg now require a skeleton track..

commit 31b94221a2b13c4632986be581be610a65134251
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Jan 20 21:54:09 2008 +0000

    * modules/audio_output/alsa.c: backport [24390] fix for 5.1 audio on ALSA (broken pipe)

commit 798b3fbdc4c80a284d6af0d0df696efe9db0bd73
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Jan 20 19:45:00 2008 +0000

    Backport [24440]. Avoid buffer overflow. Fix #1442. Refs CVE-2008-0295 CVE-2008-0296

commit bfbe06c90e90fc077d00fd353d65d7bfe4e25c1f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Jan 19 20:49:31 2008 +0000

    Sort out all CVE numbers I could find

commit 415ac324a5d9ae5a59cda27e2b5ad6dc9cdd0166
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Jan 19 20:39:08 2008 +0000

    CVE references (backport)

commit 56071f2b403ff9aaffd5134a265a8748d95fd924
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Jan 19 14:03:15 2008 +0000

    Polish translation update by Michał Trzebiatowski

commit 76d46b91d052dd69f7325fba35be3235a225f290
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Jan 18 13:26:53 2008 +0000

    * modules/demux/ts.c: backport [24386] removal of excessive ;

commit dc86bacfce010ed594e218db49cf32d908d1f41c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Jan 18 10:13:07 2008 +0000

    Backport [24383]: fix regression introduced in [24382]

commit 2d1719b77e149ef42efe51b078f0f300eb0d4ab7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Jan 18 08:02:19 2008 +0000

    Backport of [24381]

commit 9c2863b3e100c79e12f03ed2e9b57d7590e23953
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Jan 18 07:48:17 2008 +0000

    Oops forgot that in previous commit

commit f81597cdba11d97c27b9fc2d859060c2b0086f88
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Jan 17 11:32:13 2008 +0000

    Backport various fixes from trunk/modules/demux/ts.c this fixes playback of some mp4/h264 files.

commit c878ba6a3d3d4e53b954f791da23301c2bfdbe70
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Jan 17 10:12:08 2008 +0000

    Backport h264.c part of [20345] and sync with [24090], [24240], [24241].

commit c5af97b2b4f4a5e2b9905104973e8413af08c316
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Jan 14 20:17:23 2008 +0000

    * configure.ac, modules/gui/wxwidgets/interface.cpp: backport (where it applied to wx) [23985] COPYRIGHT_YEARS, [24271] hostname -s and [24272] HAVE_LIBPNG

commit dd964f53a9e6053a894943b9cb9c7014196bdd65
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Jan 11 20:34:57 2008 +0000

    * modules/mux/mp4.c: backport [24242] typo opend -> opened

commit 521c492a6e91dfd7838609306bc1cc2e5d0b7f8a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jan 11 16:45:19 2008 +0000

    cdda: recognise vlc_input_item_AddInfo()'s order, so we show our artist correctly in CDDB mode

commit 9b8461c6e5da30991bd6bd0cf1c80d0eca2166ad
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Jan 9 23:08:29 2008 +0000

    NEWS: add H.264 fix for playback on iPhones

commit 96064b6c6af55d4fb3a9fb3f1328061bd2f33afa
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Jan 9 19:50:03 2008 +0000

    Patch by Christopher Key. Attached is a patch that fixes a long standing problem whereby video encoded with vlc using x264 cannot be made playable on an iPhone. The issue was traced to the H264 profile value being incorrectly set, which this patch addresses.  Looking at the code, the trunk appears to have had a complete rewrite and should be unaffected, but this may be useful for a 0.8.6e release.

commit 6b3ee71ffafcd746bafa68bbe50d310f20d49599
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jan 9 11:52:43 2008 +0000

    NEWS: added a note about the video-device reset on first launch

commit c4712872b2b9a6583bf5c70b409cb26b9d3b60e9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 16:11:38 2008 +0000

    contrib: use ganesh as mirror for gnupg.org stuff for this branch, too

commit 0a9d0f070dca659961cd27d8f6aff67fb492bca4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 16:02:50 2008 +0000

    contrib: delete old live patches

commit b58e2cd3b2c11db9b0ca58574dfb5ad792a8df6f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 16:01:18 2008 +0000

    contrib: used latest live555

commit 5cd885bac3d8bccf28e9607f2e74fdbd6693be19
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 15:03:04 2008 +0000

    contrib: use the 10.3.9 SDK for compilation on PowerPC-based Macs

commit 4004964795505daa7499cf8fe4fa000f5b2ce9e9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 13:40:36 2008 +0000

    gui/macosx: adapted fspanel and embeddedwindow to the changes in [24189] (also refs #1427)

commit a26d99142094da053402ea2382f3ebd2e7eec107
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jan 8 13:22:38 2008 +0000

    gui/macosx: fixed a few logic errors introduced in [24189] (refs #1427)

commit 92759c9e38e91bd9099e0332773c5e2c14794ece
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Jan 7 23:51:57 2008 +0000

    gui/macosx: Make sure we treat screens as screen, instead of screen number.

commit e77da242510f0b6fca8e91a2271faf17f49ff9d1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jan 7 14:55:36 2008 +0000

    macosx: hide the 'embedded vout' setting, since we don't want it to be used. NEWS

commit 434bf4c6728ce1b0fd4e6c19df3f4cfe8fc903e3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jan 7 14:48:17 2008 +0000

    * restore full compatibility for Mac OS X 10.3.9
        - limited to Quartz video output (OpenGL refuses to work in fullscreen mode)
            - controlled by opengl.c, which is linked to Carbon for this purpose
        - removed blocker from intf.m
        - introduced memory management to VLCEmbeddedList (!!!)
        - sanity checks for vout.m

commit 70902743dc47cd027950c0c16456598bbfff65e0
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Jan 6 17:11:53 2008 +0000

    NEWS: add fix for FTP pausing

commit e91b518de8158c0cc1ae0444db4abfaa0f7ab5ba
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Jan 6 17:10:37 2008 +0000

    * modules/access/ftp.c: backport [24140] fix for FTP pausing

commit 7dfea69db61a61b6630fe15fcc24901309939747
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Jan 2 13:03:06 2008 +0000

    Backport [24032]: Fix signed int, unsigned int comparison

commit 0f4d45861514fe5495cf7fdf230d9241fa18c08d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Jan 1 20:37:16 2008 +0000

    Dts to S/PDIF in the News.

commit 0fcc97a07e533f757498adb2b75e7c4f3de5ff32
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Jan 1 20:36:56 2008 +0000

    Backport Julien Robert.

commit 2a51760c8f9922f57ef22d61c6863dd1448e064c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Jan 1 19:07:13 2008 +0000

    Backport Julien Robert's dts fixes [23948] and [23941].
